package cn.com.infosec.ocsp;

import cn.com.infosec.asn1.DERGeneralizedTime;
import cn.com.infosec.asn1.ocsp.RevokedInfo;
import cn.com.infosec.asn1.x509.CRLReason;
import java.text.ParseException;
import java.util.Date;

public class RevokedStatus implements CertificateStatus {
   RevokedInfo info;

   public RevokedStatus(RevokedInfo info) {
      this.info = info;
   }

   public RevokedStatus(Date revocationDate, int reason) {
      RevokedStatus var10000 = this;
      super();
      RevokedInfo var4;
      RevokedInfo var10001 = var4 = new RevokedInfo;
      DERGeneralizedTime var3;
      var3 = new DERGeneralizedTime.<init>(revocationDate);
      CRLReason revocationDate1;
      revocationDate1 = new CRLReason.<init>(reason);
      var10001.<init>(var3, revocationDate1);
      var10000.info = var4;
   }

   public Date getRevocationTime() {
      try {
         return this.info.getRevocationTime().getDate();
      } catch (ParseException var1) {
         throw new IllegalStateException("ParseException:" + var1.getMessage());
      }
   }

   public boolean hasRevocationReason() {
      return this.info.getRevocationReason() != null;
   }

   public int getRevocationReason() {
      if (this.info.getRevocationReason() != null) {
         return this.info.getRevocationReason().getValue().intValue();
      } else {
         throw new IllegalStateException("attempt to get a reason where none is available");
      }
   }
}
